Get target channels

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

This API is being phased out and will no longer be available for viewing milestones.

To view milestones, use the Get Details of all Loyalty Promotions API


This API is used to bring all the channels informations of target groups.

Example request

curl --location 'https://eu.api.capillarytech.com/v3/targetGroups/channels' \
--header 'Authorization: Basic bWFkaHVfcmMjU2YQ==' \
--header 'Cookie: _cfuvid=H_OUDqsSJh7q7aUlkRgBjVIMRBFDNp2ic0PI6VAnYzw-1762857476978-0.0.1.1-604800000'

Example response

{
    "data": [
        {
            "id": 1,
            "name": "SMS"
        },
        {
            "id": 2,
            "name": "EMAIL"
        },
        {
            "id": 3,
            "name": "MOBILE PUSH"
        }
    ],
    "errors": null,
    "warnings": null
}

Response parameter

ParameterTypeDescription
dataArrayList of objects containing the main data payload.
data[].idIntegerUnique identifier for the record.
data[].nameStringName of the communication channel (e.g., "SMS", "EMAIL", "MOBILE PUSH").
errorsNullPlaceholder for error messages (null indicates no errors).
warningsNullPlaceholder for warning messages (null indicates no warnings).
Headers
string
string
string
string
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json